## ThunarxMenu ThunarxMenu — The base class for submenus added to the context menus |

## Functions

ThunarxMenu * | thunarx_menu_new ()
void | thunarx_menu_append_item ()
void | thunarx_menu_prepend_item ()
GList * | thunarx_menu_get_items ()

## Types and Values

struct | ThunarxMenu

## Object Hierarchy

        GObject
        ╰── ThunarxMenu

## Includes

    #include <thunarx/thunarx.h>

## Description

The class for submenus that can be added to Thunar's context menus. Extensions can provide ThunarxMenu objects by attaching them to ThunarxMenuItem objects, using `thunarx_menu_item_set_menu()`.

## Functions

### thunarx_menu_new ()

    ThunarxMenu *
    thunarx_menu_new (void);

Creates a new menu that can be added to the toolbar or to a contextual menu.

#### Returns

a newly created ThunarxMenu

### thunarx_menu_append_item ()

    void
    thunarx_menu_append_item (ThunarxMenu *menu,
                              ThunarxMenuItem *item);

#### Parameters

menu | a ThunarxMenu |
item | a ThunarxMenuItem |

### thunarx_menu_prepend_item ()

    void
    thunarx_menu_prepend_item (ThunarxMenu *menu,
                               ThunarxMenuItem *item);

#### Parameters

menu | a ThunarxMenu |
item | a ThunarxMenuItem |

### thunarx_menu_get_items ()

    GList *
    thunarx_menu_get_items (ThunarxMenu *menu);

#### Parameters

menu | a ThunarxMenu |

#### Returns

the provided ThunarxMenuItem list Must be freed with `thunarx_menu_item_list_free()` after usage.

[element-type ThunarxMenuItem][transfer full]

## Types and Values

### struct ThunarxMenu

    struct ThunarxMenu;